# Changelog

## [Unreleased]

No unreleased changes yet.

## [0.2.1] - 2019-10-29

This is the release for the second user test.

Fixes:
* [#354](https://open.greenhost.net/openappstack/openappstack/issues/354) Nextcloud timeout during helmchart install
* [#305](https://open.greenhost.net/openappstack/openappstack/issues/305) Use prometheus default securitycontext
* [#351](https://open.greenhost.net/openappstack/openappstack/issues/351) Prometheus installation cannot be repeated
* [#349](https://open.greenhost.net/openappstack/openappstack/issues/349) Improve test instructions
* [#350](https://open.greenhost.net/openappstack/openappstack/issues/350) Increase nextcloud livenessprobe's leniency
* [#346](https://open.greenhost.net/openappstack/openappstack/issues/346) Creating cluster fails if the hostname is oas-dev
* [#319](https://open.greenhost.net/openappstack/openappstack/issues/319) kube_config_cluster.yml should be copied to local machine earlier

## [0.2.0] - 2019-10-22

* Release candidate for second user test
* Added features:
  * Use onlyoffice image with support for unlimited connections
  * Make local-storage work with subpath mounted PVs
  * Logrotate OAS logs
  * Rewrite and improve OAS installation script
  * Include and update documentation in this repo
  * Allow custom rke config options
  * Update to rke 0.2.7
  * Update k8s to v1.14.3-rancher1-1
  * Update cert-manager to v0.9.1
  * Pin helm to 2.14.3
  * Fix nextcloud issues from user feedback
  * Fix and improve CI tests and pipeline

Known issues:

* There are some [initial prometheus alerts](https://open.greenhost.net/openappstack/openappstack/issues/286)
  after a fresh OAS installation
* [Prometheus web interface is publicly available](https://open.greenhost.net/openappstack/openappstack/issues/294)

## [0.1.0] - 2019-07-31

This is the version for the alpha test.
